<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <form th:object="${user}" method="post">
        <label for="role">Role</label>
        <input type="text" id="role" th:field="*{role}">
        <input type="submit" value="Search">
    </form>
    <table>
        <thead>
        <tr>
            <th>Name</th>
            <th>Email</th>
            <th>Role</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="user : ${roleSearch}">
            <td th:text="${user.name}"></td>
            <td th:text="${user.email}"></td>
            <td th:text="${user.role}"></td>
        </tr>
        </tbody>
    </table>
    <a th:href="@{/}">Back to home</a>
</body>
</html>